class SiteFeed
  include Mongoid::Document
  include Mongoid::Timestamps

  field :remote_site_url
  field :merge_with_category
  field :channel_name
  field :channel_key
  field :feed_name, localize: true
  field :disabled, type: Boolean, default: false
  field :feed_url
  field :feed_uid

  scope :enabled, ->{where(:disabled => false)}
  
end